Page MenuHomePhabricator

Rename Project NS on Wikimedia Canada Chapter's wiki
Closed, ResolvedPublic

Description

@Framawiki c'est possible de le renommer le NS_4 en "Wikimedia" et NS_5 en "Wikimedia talk" ?

Benoit asks me to rename NS:4 Project and NS:5 to Wikimedia. Currently NS:4 is Project

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2018, 8:43 PM

I think this is because you're using a local override.

Other might correct me if I'm wrong but I think renaming a namespace required more work than just editting the config, right?

jhsoby added a subscriber: jhsoby.Jan 26 2018, 2:17 PM

@MarcoAurelio, when we did that (rename namespace) for the Walloon Wiktionary all we needed to do was change config and then run namespaceDupes. However, since cawikimedia doesn't have any pages in the "Project" namespace or any pages in the main namespace with the prefix "Wikimedia:", I'm not even sure you'd have to run that script. Should still do it just to be safe though.

This comment was removed by MarcoAurelio.

@jhsoby & @MarcoAurelio : Indeed, I emptied the namespace "Project" before opening this task. :-)

Framawiki updated the task description. (Show Details)Jan 31 2018, 6:40 PM

Change 407040 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Rename Project NS on Wikimedia Canada Chapter's wiki

https://gerrit.wikimedia.org/r/407040

Ohh, sorry, I've missed one line, thanks.
I've created a patch for this change, by just removing the line that define the namespace exception. Will deploy this in swat in next days with the other.

Framawiki updated the task description. (Show Details)Jan 31 2018, 7:59 PM

Change 407040 merged by jenkins-bot:
[operations/mediawiki-config@master] Rename Project NS on Wikimedia Canada Chapter's wiki

https://gerrit.wikimedia.org/r/407040

Mentioned in SAL (#wikimedia-operations) [2018-02-07T19:09:20Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:407040|Rename Project NS on Wikimedia Canada Chapter wiki]] T185661 (duration: 01m 11s)

Framawiki closed this task as Resolved.Feb 7 2018, 7:19 PM